Next Previous Contents

## 3.64 get_ostype

> Function

>   The function returns the operating system, the program runs on.

> Header

>   `apple2.h, atari.h, c64.h`

> Declaration

>   `unsigned char get_ostype (void);`

> Description

>   `get_ostype` is machine dependent and does not exist for all supported targets. If it exists, it returns a number that identifies the operating system or machine type, the program runs on. The machine dependent header files define constants that can be used to check the return code.

> Limits

>   - The function does not exist on all platforms.
>   - The return codes are platform dependent.
> Availability

>   cc65 (not all platforms)

> Example

>   None.

Next Previous Contents